aboutsummaryrefslogtreecommitdiff
path: root/stupid.sh
diff options
context:
space:
mode:
authorSyndamia <kamen.d.mladenov@protonmail.com>2022-05-24 20:59:50 +0300
committerSyndamia <kamen.d.mladenov@protonmail.com>2022-05-24 20:59:50 +0300
commitd65cc7e77c10c220f0f919c3cdf164e8c569ee97 (patch)
tree1a8b9db36e6014b37426c41f0198828058a013af /stupid.sh
parent916bab06e3ee32ce6c11f98e3440880402d3dc90 (diff)
downloadstupid-d65cc7e77c10c220f0f919c3cdf164e8c569ee97.tar
stupid-d65cc7e77c10c220f0f919c3cdf164e8c569ee97.tar.gz
stupid-d65cc7e77c10c220f0f919c3cdf164e8c569ee97.zip
Removed quiet option and temporarely added query option
Diffstat (limited to 'stupid.sh')
-rwxr-xr-xstupid.sh15
1 files changed, 6 insertions, 9 deletions
diff --git a/stupid.sh b/stupid.sh
index 43bbcd9..b1be337 100755
--- a/stupid.sh
+++ b/stupid.sh
@@ -1,6 +1,5 @@
#!/bin/bash
-QUIET_INSTALL='no'
STUPID_DIR=$(pwd)
function installRoutine {
@@ -90,19 +89,17 @@ function handlePackages {
while [ ! -z $1 ]; do
case $1 in
- -q|quiet)
- QUIET_INSTALL='yes'
- ;;
-i|install)
- handlePackages installRoutine $@
- exit
+ handlePackages installRoutine $@ ; exit
;;
-r|remove)
- handlePackages removeRoutine $@
- exit
+ handlePackages removeRoutine $@ ; exit
+ ;;
+ -q|query)
+ echo 'Not implemented yet!' ; exit
;;
*)
- echo '[Error] Invalid command!'
+ echo "[Error] Invalid command \"$1\"!" && exit 1
;;
esac
shift